#ifndef COLLISION_H
#define COLLISION_H

#include "types.h"

#define PL0_MASK 0x01
#define PL1_MASK 0x02
#define ML0_MASK 0x04
#define ML1_MASK 0x08
#define BL_MASK 0x10
#define BL_MASK16 0x1010
#define BL_MASK32 0x10101010
#define PF_MASK 0x20
#define PF_MASK32 0x20202020
#define COL1 0X06//(ML0_MASK | PL1_MASK)
#define COL2 0X05//(ML0_MASK | PL0_MASK)
#define COL3 0x09//(ML1_MASK | PL0_MASK)
#define COL4 0x0A//(ML1_MASK | PL1_MASK)
#define COL5 0x21//(PL0_MASK | PF_MASK)
#define COL6 0x11//(PL0_MASK | BL_MASK)
#define COL7 0x22//(PL1_MASK | PF_MASK)
#define COL8 0x11//(PL1_MASK | BL_MASK)
#define COL9 0x24//(ML0_MASK | PF_MASK)
#define COL10 0x30//(ML0_MASK | BL_MASK)
#define COL11 0x28//(ML1_MASK | PF_MASK)
#define COL12 0x18//(ML1_MASK | BL_MASK)
#define COL13 0x30//(BL_MASK | PF_MASK)
#define COL14 0x03//(PL0_MASK | PL1_MASK)
#define COL15 0x0C//(ML0_MASK | ML1_MASK)

extern BYTE colvect[230];

//extern void reset_collisions(void);

//extern void set_collisions(BYTE b);

#endif






