#define SBL_ON
#include    <machine.h>
#ifndef ACTION_REPLAY
#include    <sega_gfs.h>
#endif

//#define PROFILING 1
//#define OLD_SOUND 1
#define		_SPR3_
#include "saturn.h"
#define titi
#define DMAOFF
#define ss_font SCL_VDP2_VRAM_A1
#define FONT_ADDR 0x25e3F000
//#define ACTION_REPLAY 1
#define FONT 1
#define SPRITE 1
//extern byte *cache;
extern unsigned int first;
unsigned int sound;
unsigned int file_max;
static unsigned int vsynch;
unsigned int play=0;
#ifndef ACTION_REPLAY
int file_id		= 2; 
#endif
#undef  SCL_MAXLINE
#undef  SCL_MAXCELL
#define	SCL_MAXLINE	 256
#define	SCL_MAXCELL	64
#define OPEN_CSH_VAR(a) (((int)&a | 0x20000000))
extern Uint32   _bstart, _bend;
//Uint16	SclLengthLsTbl;
Uint32	SclAddrLsTbl[2];
Uint16	SclProcess = 0;
//extern Fixed32	ls_tbl[3 * SCL_MAXLINE];
SclSysreg	Scl_s_reg;

#ifdef titi
SclOtherPriRegister  SclOtherPri;
SclSpPriNumRegister  SclSpPriNum;
SclBgPriNumRegister  SclBgPriNum;
SclPriBuffDirtyFlags SclPriBuffDirty;
SclDataset	Scl_d_reg;
SclNorscl	Scl_n_reg;
//SclWinscl	Scl_w_reg;
//VBT passage en satic peut poser problme ?
static Uint32	SclColRamAlloc256[8];
#endif

#ifdef FONT
static unsigned int frame_x=0;
static unsigned int frame_y=0;
static unsigned int frame_displayed=0;
static unsigned int delta;
unsigned int hz=0;
static int vb=0;
#endif
static trigger_t	pltrigger[2],pltriggerE[2];
static Uint16 pad_asign[]={
PER_DGT_U,PER_DGT_D,PER_DGT_R,PER_DGT_L,PER_DGT_A,PER_DGT_B,
PER_DGT_C,PER_DGT_S,PER_DGT_X,PER_DGT_Y,PER_DGT_TR,PER_DGT_TL,
};

#ifdef SBL_ON
static volatile SysPort		*__port;;
Uint8 *aVRAM;
Uint16 *colAddr; //sprite color
Uint16 *colBgAddr; // color
int scroll_x,scroll_y;
SclLineparam lp;




unsigned short frames_count;

char cart_loaded = 0;

char coltable[256];
//extern int tv_counter;
struct resource {
	int rr;
	int debug;
	char bank;
	char pad_sens;
	char sc;
	char autoconfig;
	char left;
	char right;
	char swap;
} app_data;

char    keys[256];

#define         kLARROW              0xCB
#define         kRARROW              0xCD
#define         kUARROW              0xC8
#define         kDARROW              0xD0
#define         kF1                         0x3B
#define         kRIGHTALT             0xB8




//-------------------------------------------------------------------------------------------------------------------------------------
void	UsrVblankIn( void )
{
#ifdef FONT
	char xx[4];
//	PER_GetPort(__port);	
#endif
	SCL_ScrollShow();
#ifndef ACTION_REPLAY
	if(play)
	{
#endif
#ifdef FONT
		frame_y++;
		if(frame_y==hz)
		{
				if(frame_displayed!=frames_count)
				{
					xx[0] = (frames_count/100)+'0';
					xx[1] = ((frames_count-((frames_count/100)*100))/10)+'0';
					xx[2]=  (frames_count %10)+'0';
					xx[3]=  '\0';
					FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_A1,(Uint8 *)xx,150,2);
					frame_displayed = frames_count;
				}
				frame_y=frames_count=0;
		}
#endif
#ifndef ACTION_REPLAY
	}
#endif
}
//-------------------------------------------------------------------------------------------------------------------------------------
void   UsrVblankOut( void )
{
	PER_GetPort(__port);	
	//update_input();
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void	SetVblank( void ){
	
	INT_ChgMsk(INT_MSK_NULL,INT_MSK_VBLK_IN | INT_MSK_VBLK_OUT);
	INT_SetScuFunc(INT_SCU_VBLK_IN,UsrVblankIn);
	INT_SetScuFunc(INT_SCU_VBLK_OUT,UsrVblankOut);
	INT_ChgMsk(INT_MSK_VBLK_IN | INT_MSK_VBLK_OUT,INT_MSK_NULL);
	__port = PER_OpenPort();

}
//-------------------------------------------------------------------------------------------------------------------------------------
#endif
void main(void)
{
	Uint8	*dst;
    Uint16  loop;	
    for (dst = (Uint8 *)&_bstart; dst < (Uint8 *)&_bend; dst++)					*dst = 0;
    for (dst = (Uint8 *)SystemWork, loop = 0; loop < SystemSize; loop++)	*dst = 0;
	SYS_CHGSYSCK(1);//28mhz
	set_imask(0); 
	VDP2_InitVRAM();   
	ss_main();
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void	_spr2_initialize( void )
{
	set_imask(0);
    SCL_SET_N0PRIN(5);
    SCL_SET_N1PRIN(7);
    SCL_SET_S0PRIN(6);
    SCL_ParametersInit();
    SCL_SET_SPTYPE(SCL_TYPE0);
    SCL_SET_SPCLMD(SCL_PALETTE);
	SPR_Initial(&aVRAM);
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void ss_main(void)
{
#ifndef ACTION_REPLAY
	InitCD();
#endif
	_spr2_initialize();
	SetVblank();
	colBgAddr		= (Uint16*)SCL_AllocColRam(SCL_NBG0,OFF);
	colAddr			= (Uint16*)SCL_AllocColRam(SCL_SPR,OFF);
	hz = get_hz();
	displayMenu();
	drawWindow(40,384,88,0,52);
	*(Uint16 *)0x25E00000=RGB( 0, 0, 0 );

	test2();
}
//---------------------------------------------------------------------------------------------------------------
static void test2()
{
	unsigned int i;

	app_data.rr=1;
	app_data.debug=0;
	app_data.bank=2;
	app_data.pad_sens=5;
	app_data.sc=0;
	app_data.left=0x01;
	app_data.right=0x01;
	app_data.autoconfig=0;
	app_data.swap=0;
	app_data.rr = 3;	/* Frameskip */
	//slPrint("C4 - 2008-2009   www.rockin-b.de",slLocate(4,25));
	
	
	while(1)
	{
		loadNewCart(GFS_IdToName(file_id));
		play =1;
		mainloop_init();
		mainloop();
	}
}
//--------------------------------------------------------------------------------------------------------------
static void VDP2_InitVRAM(void)
{
	Uint32	loop = 0;
	while (loop < 0x40000)
	{
		*((Uint32 *) (SCL_VDP2_VRAM_A0 + loop)) = 0;
		*((Uint32 *) (SCL_VDP2_VRAM_B0 + loop)) = 0;
		loop += 4;
	}
}
//--------------------------------------------------------------------------------------------------------------
static void displayMenu(void)
{
//    SclConfig	config;
// **29/01/2007 : VBT sauvegarde cycle patter qui fonctionne jusqu' maintenant

	Uint16	CycleTb[]={
		  // VBT 04/02/2007 : cycle pattern qui fonctionne just test avec des ee
		0xff5e, 0xeeee, //A1
		0xffff, 0xffff,	//A0
		0x04ee, 0xffff,   //B1
		0xffff, 0xffff  //B0
	};
 	SclConfig	scfg;
//	cache     = (Uint8 *)SCL_VDP2_VRAM_B1;
//	SCL_InitConfigTb(&scfg);
	scfg.dispenbl		= ON;
	scfg.charsize		= SCL_CHAR_SIZE_1X1;//OK du 1*1 surtout pas toucher
	scfg.pnamesize	= SCL_PN1WORD;
	scfg.flip				= SCL_PN_10BIT;
	scfg.platesize	= SCL_PL_SIZE_1X1;
	scfg.coltype		= SCL_COL_TYPE_16;
	scfg.datatype	= SCL_CELL;
	scfg.patnamecontrl =  0x000c;// VRAM B1 ̃ItZbg 
	scfg.plate_addr[0] = SCL_VDP2_VRAM_B0;
	SCL_SetConfig(SCL_NBG0, &scfg);
/********************************************/	

//	SCL_InitConfigTb(&scfg);
	scfg.dispenbl 	 = ON;
	scfg.bmpsize 		 = SCL_BMP_SIZE_512X256;
	scfg.coltype 		 = SCL_COL_TYPE_256;//SCL_COL_TYPE_256;
	scfg.datatype 	 = SCL_BITMAP;
	scfg.mapover       = SCL_OVER_0;
	scfg.plate_addr[0] = SCL_VDP2_VRAM_A1;
	SCL_SetConfig(SCL_NBG1, &scfg);
	SCL_SetCycleTable(CycleTb);	
	PER_SMPC_RES_ENA();// Zbg{^L 
	SCL_Open();
//	SCL_MoveTo(FIXED(0), FIXED(0),0);
	//SCL_MoveTo(FIXED(0), FIXED(0),0);
	Scl_n_reg.n1_move_x = 0;
	Scl_n_reg.n1_move_y = 0;
	SCL_Close();

#ifdef SOUND
	sndInit();
	//PCM_MeInit();
	PcmCreatePara	para;
	PcmInfo 		info;
	PcmStatus	*st;
	static PcmWork g_movie_work;

//#define	SDDRV_SIZE	26624 //0x7000
//#define	SDDRV_ADDR	0x00200000//0x6080000

	PCM_PARA_WORK(&para) = (struct PcmWork *)&g_movie_work;
	PCM_PARA_RING_ADDR(&para) = (Sint8 *)g_movie_buf;
	PCM_PARA_RING_SIZE(&para) = RING_BUF_SIZE;
	PCM_PARA_PCM_ADDR(&para) = PCM_ADDR;
	PCM_PARA_PCM_SIZE(&para) = PCM_SIZE;

 	st = &g_movie_work.status;

	memset((Sint8 *)g_movie_buf,0,SAMPLE*4);

	st->need_ci = PCM_ON;
	PCM_INFO_FILE_TYPE(&info) = PCM_FILE_TYPE_NO_HEADER;			
	PCM_INFO_DATA_TYPE(&info)=PCM_DATA_TYPE_RLRLRL;//PCM_DATA_TYPE_LRLRLR;
	PCM_INFO_FILE_SIZE(&info) = SAMPLE*2;//0x4000;//214896;
	PCM_INFO_CHANNEL(&info) = 0x01;
	PCM_INFO_SAMPLING_BIT(&info) = 16;
	PCM_INFO_SAMPLING_RATE(&info)	= SAMPLE;//30720L;//44100L;
	PCM_INFO_SAMPLE_FILE(&info) = SAMPLE*2;//30720L;//214896;
			
	pcm = createHandle(&para);

//	PCM_SetPcmStreamNo(pcm, 0);


//	PCM_SetInfo(pcm, &info);
//	PCM_ChangePcmPara(pcm);

	//PCM_SetLoop(pcm, 30720L);
//	PCM_MeSetLoop(pcm, SAMPLE);

	if (pcm == NULL) return;
#endif

#ifndef ACTION_REPLAY

//		GFS_Load(GFS_NameToId("FONT.BIN"),0,(void *) FntAsciiFontData2bpp,1600);
	GFS_Load(GFS_NameToId("FONT.BIN"),0,(void *)  FONT_ADDR,1600);
	ChangeDir("GAMES");
	ClrVram((volatile Uint8 *)SCL_VDP2_VRAM_A1);


#endif
#ifdef SOUND
	sound = 1;
	PCM_Start(pcm);
#endif
	vsynch = 1;
	memset(&aVRAM[0x880],0,0x20000);
//	memset(cache,0,sizeof(cache));
	memset((Uint16 *)SCL_VDP2_VRAM_B0,0,0x1000);
}

#ifndef ACTION_REPLAY

static void	ClrVram(volatile Uint8 *buff)
{
	Uint32	i;
	for(i=0;i<0x10000;i++)	buff[i]=0x00;
}

#endif		

#ifdef titi
#define	REGADDR	0x25F80000

//-------------------------------------------------------------------------------------------------------------------------------------
static void SCL_ParametersInit(void)
{
//	Uint16	i;
/*
 *	System Registers Area Initialization
 */
	Scl_s_reg.tvmode = 0x8001; /* HREZ = B'001(352 pixels) the others = 0 */
	Scl_s_reg.ramcontrl = 0x1000; /* color 16bit mode; VRAM A, B banked */
/*
 *	Normal Scroll Registers Area Initialization
 */
	Scl_n_reg.n0_move_x = 0;
	Scl_n_reg.n0_move_y = 0;
	Scl_n_reg.n0_delta_x = FIXED(1);
	Scl_n_reg.n0_delta_y = FIXED(1);
	Scl_n_reg.n1_move_x = 0;
	Scl_n_reg.n1_move_y = 0;
	Scl_n_reg.n1_delta_x = FIXED(0.5);
	Scl_n_reg.n1_delta_y = FIXED(1);
	Scl_n_reg.n2_move_x = 0;
	Scl_n_reg.n2_move_y = 0;
	Scl_n_reg.n3_move_x = 0;
	Scl_n_reg.n3_move_y = 0;
	Scl_n_reg.zoomenbl = 0;
	Scl_n_reg.linecontrl = 0;
	Scl_n_reg.celladdr = 0;
	Scl_n_reg.lineaddr[0] = 0;
	Scl_n_reg.lineaddr[1] = 0;
	Scl_n_reg.linecolmode = 0;
	Scl_n_reg.backcolmode = 0;

	if(SclProcess == 0)	SclProcess = 1;
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void SCL_CopyReg()
{
	Uint16 *regaddr = (Uint16 *)REGADDR;
	memcpyl(&regaddr[0x38], &Scl_n_reg, sizeof(SclNorscl));

	if(!play)
	{
		regaddr[0] = Scl_s_reg.tvmode;		/* add				by C.Y	*/
		regaddr[1] = Scl_s_reg.extenbl;		/* add				by C.Y	*/
		regaddr[3] = Scl_s_reg.vramsize;		/* add				by C.Y	*/
		memcpyw(&regaddr[7] , &Scl_s_reg.ramcontrl , 26 );
		memcpyl(&regaddr[0x14], &Scl_d_reg, sizeof(SclDataset));

		memcpyl((SclOtherPriRegister *)0x25F800E0, &SclOtherPri, sizeof(SclOtherPri));
		memcpyl((SclSpPriNumRegister *)0x25F800F0, &SclSpPriNum, sizeof(SclSpPriNum));
		memcpyl((SclBgPriNumRegister *)0x25F800F8, &SclBgPriNum, sizeof(SclBgPriNum));
	}
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void SCL_InitLineParamTb(SclLineparam *lp)
{
	Uint16	i;

	lp->h_enbl = ON;
	lp->v_enbl = OFF;
	lp->delta_enbl = OFF;
	lp->cell_enbl = OFF;
	lp->line_addr = SCL_VDP2_VRAM_B0+0x4000;
	lp->cell_addr = 0x00;
	lp->interval  = 0;

	for(i = 0; i< SCL_MAXLINE; i++) {
//	for(i = 0; i< 192; i++) {
		if(i < SCL_MAXCELL) {
			lp->cell_tbl[i] = 0;
		}
		lp->line_tbl[i].h  = FIXED(0);
		lp->line_tbl[i].v  = FIXED(i);
		lp->line_tbl[i].dh = FIXED(1);
//		lp->line_tbl[i].h  = (0<<16);
//		lp->line_tbl[i].v  = (i<<16);
//		lp->line_tbl[i].dh = (1<<16);
	}

	SclAddrLsTbl[0] = lp->line_addr+0x40;
//	SclAddrLsTbl[1] = (Uint32 )&ls_tbl[0];
	Scl_n_reg.linecontrl = (lp->h_enbl << 1) & 0x0002;
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void	SCL_ScrollShow(void)
{
    switch(SclProcess){
	    case 1:
		SCL_CopyReg();
		SclProcess = 0;
		break;
	    case 2:			/* line scroll setting */
		memcpyl((void *)SclAddrLsTbl[0],(void *)SclAddrLsTbl[1], 0x300);
		SCL_CopyReg();
		SclProcess = 0;
		break;
		default:
		break;
    }
}
//-------------------------------------------------------------------------------------------------------------------------------------
void SCL_Open(void)
{
	if(SclProcess == 1)	SclProcess = 0;
}
//-------------------------------------------------------------------------------------------------------------------------------------
void SCL_Close(void)
{
	if(SclProcess == 0)	SclProcess = 1;
}
//-------------------------------------------------------------------------------------------------------------------------------------
void	SCL_SetCycleTable(Uint16 *tp)
{
	Uint16 i;
	for(i = 0; i<8; i++){
		Scl_s_reg.vramcyc[i] = tp[i];
	}
}
//-------------------------------------------------------------------------------------------------------------------------------------
void SCL_SetConfig(Uint16 sclnum, SclConfig *scfg)
{
/*	Uint16	temp, *mapoffset, boundary, *map, *map2, shift,shift2;	*/
	Uint16	temp;
	Uint16	*mapoffset = 0;
	Uint16	*map = 0;
//	Uint16	*map2;
	Uint16	boundary = 0;
	Uint16	shift = 0;
//	Uint16	shift2 = 0;
										/* add by C.yoshida */

/*	Uint16	max, i, flip, mapoffsetW;	*/
	Uint16	max = 0;
	Uint16	i;
//	Uint16	flip;
	Uint16	mapoffsetW;
										/* add by C.yoshida */

//	map2 = 0;

//	flip = scfg->flip;				/* get flip bit*/
//	flip = (flip<<14) & 0x4000;
	switch(sclnum) {
		case SCL_NBG0:
			temp = scfg->dispenbl;		/* display enable */
			temp &= 0x0001;
			Scl_s_reg.dispenbl &= 0xfffe;
			Scl_s_reg.dispenbl |= temp;

			temp = scfg->charsize;		/* char size */
			temp &= 0x0001;
			Scl_d_reg.charcontrl0 &= 0xfffe;
			Scl_d_reg.charcontrl0 |= temp;

			Scl_d_reg.patnamecontrl[0] = scfg->patnamecontrl;

			temp = scfg->pnamesize;		/* pattern name size */
			temp = (temp <<15) & 0x8000;
			Scl_d_reg.patnamecontrl[0] &= 0x7fff;
			Scl_d_reg.patnamecontrl[0] |= temp;

//			Scl_d_reg.patnamecontrl[0] &= 0xbfff;	/* flip bit set */
//			Scl_d_reg.patnamecontrl[0] |= flip;	/* flip bit set */

			temp = scfg->platesize;		/* plate size */
			temp &=  0x0003;
			Scl_d_reg.platesize &= 0xfffc;
			Scl_d_reg.platesize |= temp;

			temp = scfg->bmpsize;		/* bitmap size */
			temp = (temp << 2) & 0x000c;
			Scl_d_reg.charcontrl0 &= 0xfff3;
			Scl_d_reg.charcontrl0 |= temp;

			temp = scfg->coltype;		/* color type */
			temp = (temp <<4) & 0x0070;
			Scl_d_reg.charcontrl0 &= 0xff8f;
			Scl_d_reg.charcontrl0 |= temp;

			temp = scfg->datatype;		/* data type */
			temp = (temp <<1) & 0x0002;
			Scl_d_reg.charcontrl0 &= 0xfffd;
			Scl_d_reg.charcontrl0 |= temp;

			Scl_d_reg.mapoffset0 &= 0xfff0;	/* Init map offset */ 
			mapoffset = &Scl_d_reg.mapoffset0; /* map offset */ 
			shift = 0;
			map = &Scl_d_reg.normap[0];
			max = 2;
			break;
		case SCL_NBG1:
			temp = scfg->dispenbl;		/* display enable */
			temp = (temp << 1) & 0x0002;
			Scl_s_reg.dispenbl &= 0xfffD;
			Scl_s_reg.dispenbl |= temp;

			temp = scfg->charsize;		/* char size */
			temp = (temp<<8) & 0x0100;
			Scl_d_reg.charcontrl0 &= 0xfeff;
			Scl_d_reg.charcontrl0 |= temp;

			Scl_d_reg.patnamecontrl[1] = scfg->patnamecontrl;

			temp = scfg->pnamesize;		/* pattern name size */
			temp = (temp <<15) & 0x8000;
			Scl_d_reg.patnamecontrl[1] &= 0x7fff;
			Scl_d_reg.patnamecontrl[1] |= temp;

//			Scl_d_reg.patnamecontrl[1] &= 0xbfff;
//			Scl_d_reg.patnamecontrl[1] |= flip; /* flip bit set*/

			temp = scfg->platesize;		/* plate size */
			temp = (temp << 2) &  0x000c;
			Scl_d_reg.platesize &= 0xfff3;
			Scl_d_reg.platesize |= temp;

			temp = scfg->bmpsize;		/* bitmap size */
			temp = (temp << 10) & 0x0c00;
			Scl_d_reg.charcontrl0 &= 0xf3ff;
			Scl_d_reg.charcontrl0 |= temp;

			temp = scfg->coltype;		/* color type */
			temp = (temp <<12) & 0x3000;
			Scl_d_reg.charcontrl0 &= 0xcfff;
			Scl_d_reg.charcontrl0 |= temp;

			temp = scfg->datatype;		/* data type */
			temp = (temp <<9) & 0x0200;
			Scl_d_reg.charcontrl0 &= 0xfdff;
			Scl_d_reg.charcontrl0 |= temp;

			Scl_d_reg.mapoffset0 &= 0xff0f;	/* Init map offset */ 
			mapoffset = &Scl_d_reg.mapoffset0; /* map offset */ 
			shift = 4;
			map = &Scl_d_reg.normap[2];
			max = 2;
			break;
	}
/*
 *	Set Map Address
 */

	if(scfg->datatype == SCL_BITMAP) {
		mapoffsetW = ((scfg->plate_addr[0] - SCL_VDP2_VRAM)/0x20000) & 0x0007;
		*mapoffset |= mapoffsetW << shift;
	} else {
		if( scfg->pnamesize == 1){
			if(scfg->charsize == 0) {
				boundary = 0x2000;
			} else {
				boundary = 0x800;
			}
		} else {
			if(scfg->charsize == 0) {
				boundary = 0x4000;
			} else {
				boundary = 0x1000;
			}
		}
		mapoffsetW = (0x01c0 & ((scfg->plate_addr[0] - SCL_VDP2_VRAM) / boundary))
			>> 6;
		*mapoffset |= mapoffsetW << shift;
	}

	for(i = 0; i < max; i++) {
		map[i] = (0x003f & ((scfg->plate_addr[i * 2] - SCL_VDP2_VRAM)
				/ boundary));
		temp = (0x003f & ((scfg->plate_addr[i * 2 + 1] - SCL_VDP2_VRAM)
				/ boundary)) << 8;

		map[i] |= (temp & 0x3f00);
	}
//	if(SclProcess == 0)	SclProcess = 4;
//modif VBT
	if(SclProcess == 0)	SclProcess = 1;
}
//-------------------------------------------------------------------------------------------------------------------------------------
void  SCL_SetColRam(Uint32 Object, Uint32 Index,Uint32 num,void *Color)
{
	Uint16	*ram16;
	ram16   = (Uint16 *)((Uint32)SCL_COLRAM_ADDR + ((SCL_GetColRamOffset(Object) * 0x200))) + Index;
	memcpyl(ram16,(Uint16 *)Color,num*2);
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void  SCL_SetColRamOffset(Uint32 Object, Uint32 Offset,Uint8 transparent)
{
    if(Object & SCL_SPR)	SCL_SET_SPCAOS(Offset);

    if( (Object & SCL_NBG0)) //|| (Object & SCL_RBG1))
    {
	SCL_SET_N0CAOS(Offset);
	if(transparent)	Scl_s_reg.dispenbl |= 0x0100;
	else		Scl_s_reg.dispenbl &= 0xfeff;
    }

    if( (Object & SCL_NBG1)) // || (Object & SCL_EXBG))
    {
	SCL_SET_N1CAOS(Offset);
	if(transparent)	Scl_s_reg.dispenbl |= 0x0200;
	else		Scl_s_reg.dispenbl &= 0xfdff;
    }
}
//-------------------------------------------------------------------------------------------------------------------------------------
Uint32  SCL_AllocColRam(Uint32 Surface, Uint8 transparent)
{
	Uint32	i;
	for(i=0;i<8;i++)
	{
		if(SclColRamAlloc256[i]==0)
		{
			SclColRamAlloc256[i]=Surface;
			SCL_SetColRamOffset(Surface,i,transparent);
			return(SCL_COLRAM_ADDR+(512*i));
		}
	}
}
//-------------------------------------------------------------------------------------------------------------------------------------
// VBT passage en static
static Uint32  SCL_GetColRamOffset(Uint32 Object)
{
    switch(Object){
      case SCL_SPR:
	return(SCL_GET_SPCAOS());
	break;
      case SCL_NBG0:
//      case SCL_RBG1:
	return(SCL_GET_N0CAOS());
	break;
      case SCL_NBG1:
//      case SCL_EXBG:
	return(SCL_GET_N1CAOS());
	break;
      default:
	break;
    }
}
#endif
//-------------------------------------------------------------------------------------------------------------------------------------
static void SCL_SetLineParam2(SclLineparam *lp)
{
	Uint32	*addr;
	addr = &Scl_n_reg.lineaddr[0];
	//*addr = (lp->line_addr / 2) & 0x0007ffff;
	*addr = (lp->line_addr >>1) & 0x0007ffff;
	SclProcess = 2; //obligatoire
}
//-------------------------------------------------------------------------------------------------------------------------------------
void SPR_Initial(Uint8 **VRAM)
{
    int     iMask;
    iMask = get_imask();
    set_imask(15);                           /* interrupt disable           */

    /* change frame buffer to auto change mode  */
    SPR_WRITE_REG(SPR_W_FBCR, SPR_FBCR_AUTO );
    /* trig set to auto start drawing */
    SPR_WRITE_REG(SPR_W_PTMR, 0x0002);
    *VRAM     = (Uint8*)VRAM_ADDR;
    *(*VRAM)     = 0x80;                 /* set END command to VRAM top area */
    *((*VRAM)+1) = 0x00;
    set_imask(iMask);                    /* interrupt enable             */
}
//-------------------------------------------------------------------------------------------------------------------------------------
void SPR_SetEraseData(Uint16 eraseData, Uint16 leftX, Uint16 topY,Uint16 rightX, Uint16 botY)
{
	SPR_WRITE_REG(SPR_W_EWDR, eraseData);      /* set erase write data */

	leftX >>= 3;
	SPR_WRITE_REG(SPR_W_EWLR, (leftX << 9) + topY); /* set erase screen left top */

	rightX++;
	rightX >>= 3;
	SPR_WRITE_REG(SPR_W_EWRR, (rightX << 9) + botY);   /* set erase screen right bottom */
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void wait_vblank(void)
{
     while((TVSTAT & 8) == 0);
     while((TVSTAT & 8) == 8);
}
//-------------------------------------------------------------------------------------------------------------------------------------
static unsigned int get_hz(void)
{
	if((TVSTAT & 1) == 0)
		return 60;
	else
		return 50;
}
//-------------------------------------------------------------------------------------------------------------------------------------
static void drawWindow(unsigned  int l1,unsigned  int l2,unsigned  int l3,unsigned  int vertleft,unsigned  int vertright)
{
	Uint16 *VRAM;    
	int x,j;
    VRAM = (Uint16 *)ss_font;
// barre horizontale haut
	for( x = 0; x < l1; x++ ) // 2 lignes
    {
		for( j = 0; j < 64; j++ ) *VRAM++ = 0x0404;
	}

	for( x = 0; x < l2; x++ ) 
    {
		for( j = 0; j < vertleft			  ; j++ ) *VRAM++ = 0x0404; // barre verticale gauche
		for( j = 0; j < 128-vertleft-vertright; j++ ) *VRAM++ = 0x0000; // noir
		for( j = 0; j < vertright			  ; j++ ) *VRAM++ = 0x0404; // barre verticale droite
	}
// barre horizontale bas
	for( x = 0; x < l3; x++ ) 
    {
		for( j = 0; j < 64; j++ ) *VRAM++ = 0x0404;
	}
}
//-------------------------------------------------------------------------------------------------------------------------------------


#define         kLEFTALT             0x38
#define         kLEFTSHIFT           0x2A
#define         kRIGHTALT            0xB8
#define VBLANK	0x01
#define INPT0	0x8
#define INPT1	0x9
#define INPT2	0xA
#define INPT3	0xB
#define INPT4	0xC
#define INPT5	0xD

extern char    keys[256];
extern unsigned char tiaWrite[0x2d];
extern unsigned char tiaRead[0x0e];
extern unsigned char riotRead[0x298];
extern unsigned char riotWrite[0x298];
extern unsigned char keypad[8];
unsigned char keyrepeat = 0;

inline void keyboard_keypad(void) {
	//int i;
	//for(i=0; i<8; i++) keypad[i]=0xFF;
	memset(keypad,0xff,8);
}

void keyjoy(void) {
	unsigned char val;
	unsigned char v1,v2;

	v1=v2=0x0f;

	SysDevice	*device;
	//ExKey = GpKeyGet();
  	if(( device = PER_GetDeviceR( &__port[0], 0 )) != NULL )
	{
		pltriggerE[0] = pltrigger[0];
		pltrigger[0]  = PER_GetTrigger( device );
		pltriggerE[0] = (pltrigger[0]) ^ (pltriggerE[0]);
		pltriggerE[0] = (pltrigger[0]) & (pltriggerE[0]);

		if (!(pltrigger[0] & PER_DGT_B)) 
		{
			// P0 joystick 
			if (pltrigger[0] & PER_DGT_U) v1&=0x0E;
			if (pltrigger[0] & PER_DGT_D) v1&=0x0D;
			if (pltrigger[0] & PER_DGT_L) v1&=0x0B;
			if (pltrigger[0] & PER_DGT_R) v1&=0x07;


#ifndef ACTION_REPLAY
			if (pltrigger[0] & PER_DGT_S)  play=0; 
			if (pltrigger[0] & PER_DGT_TR)
			{
				if (file_id<=file_max)	file_id++;
				else							file_id=2;

#ifdef FONT
				FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_A1,
				(Uint8 *)"            ",26,2);
				FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_A1,
				(Uint8 *)GFS_IdToName(file_id),26,2);
#endif
			}

			if (pltrigger[0] & PER_DGT_TL)
			{
				if (file_id>2)	file_id--;
				else				file_id=file_max+1;
#ifdef FONT
				FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_A1,
				(Uint8 *)"            ",26,2);
				FNT_Print256_2bpp((volatile Uint8 *)SCL_VDP2_VRAM_A1,
				(Uint8 *)GFS_IdToName(file_id),26,2);
#endif
#endif
			}
		}
		else
		{
			// P1 joystick 
			if (pltrigger[0] & PER_DGT_U) v2&=0x0E;
			if (pltrigger[0] & PER_DGT_D) v2&=0x0D;
			if (pltrigger[0] & PER_DGT_L) v2&=0x0B;
			if (pltrigger[0] & PER_DGT_R) v2&=0x07;
		}
	}
	//ExKey = GpKeyGet();
	if (app_data.swap)
		riotRead[0x280]=(v2 << 4) |v1;
	else
		riotRead[0x280]=(v1 << 4) | v2;
}


void keycons(void) {
	unsigned char val;

	riotRead[0x282] |= 0x03;

	SysDevice	*device;	
	//ExKey = GpKeyGet();
  	if(( device = PER_GetDeviceR( &__port[0], 0 )) != NULL )
	{
		pltriggerE[0] = pltrigger[0];
		pltrigger[0]  = PER_GetTrigger( device );
		pltriggerE[0] = (pltrigger[0]) ^ (pltriggerE[0]);
		pltriggerE[0] = (pltrigger[0]) & (pltriggerE[0]);

		if (pltrigger[0] & PER_DGT_Z) riotRead[0x282] &= 0xFE;		// Reset 
		if (pltrigger[0] & PER_DGT_C) riotRead[0x282] &= 0xFD;     // Select 
		if (!keyrepeat) 
		{
			if (pltrigger[0] & PER_DGT_X) 
			{
				riotRead[0x282] ^= 0x40;
				keyrepeat = 1;
			}
			if (pltrigger[0] & PER_DGT_Y) 
			{
				riotRead[0x282] ^= 0x80;
				keyrepeat = 1;
			}
		}
		if (!(pltrigger[0] & PER_DGT_X) && !(pltrigger[0] & PER_DGT_Y)) keyrepeat = 0;
	}
}

void keytrig(void) {
	int kr;
	int kl;

	SysDevice	*device;	
	//ExKey = GpKeyGet();
	kr = 0;
	kl = 0;

  	if(( device = PER_GetDeviceR( &__port[0], 0 )) != NULL )
	{
		pltriggerE[0] = pltrigger[0];
		pltrigger[0]  = PER_GetTrigger( device );
		pltriggerE[0] = (pltrigger[0]) ^ (pltriggerE[0]);
		pltriggerE[0] = (pltrigger[0]) & (pltriggerE[0]);

		if (!(pltrigger[0] & PER_DGT_B)) {
			if (pltrigger[0] & PER_DGT_A) kr = 1;
		} else {
			if (pltrigger[0] & PER_DGT_A) kl = 1;
		}
	}
	if (!(tiaWrite[VBLANK] & 0x40)) {
		if (kr)
			tiaRead[INPT4]=0x00;
		else
			tiaRead[INPT4]=0x80;
		if (kl)
			tiaRead[INPT5]=0x00;
		else
			tiaRead[INPT5]=0x80;

	}
	else
	{
		if (kr) tiaRead[INPT4]=0x00;
		if (kl) tiaRead[INPT5]=0x00;

	}
}

